Skip to main content
`Ctrl`+`K`

# PetscLayoutSetLocalSize

Sets the local size for a `PetscLayout` object.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetLocalSize(PetscLayout map, PetscInt n)

Collective

## Input Parameters

- map - pointer to the map

- n - the local size, pass `PETSC_DECIDE` (the default) to have this value determined by the global size set with `PetscLayoutSetSize()`

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutSetUp()`, `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetBlockSize()`, `PetscLayoutGetBlockSize()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

## Examples

src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex85.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages